part of 'power_clamp_info_bloc.dart';

sealed class PowerClampInfoEvent extends Equatable {
  const PowerClampInfoEvent();

  @override
  List<Object> get props => [];
}

final class LoadPowerClampInfoEvent extends PowerClampInfoEvent {
  const LoadPowerClampInfoEvent(this.deviceId);

  final String deviceId;

  @override
  List<Object> get props => [deviceId];
}


final class UpdatePowerClampStatusEvent extends PowerClampInfoEvent {
  const UpdatePowerClampStatusEvent(this.statusList);

  final List<Status> statusList;

  @override
  List<Object> get props => [statusList];
}

final class ClearPowerClampInfoEvent extends PowerClampInfoEvent {
  const ClearPowerClampInfoEvent();
}